For the complete documentation index, see llms.txt. This page is also available as Markdown.

Criteria

Get

get

Retrieve the Criteria settings of a published item with the specified ID.

Path parameters
idinteger · int32Required

The ID of a published item for which to retrieve the Criteria settings.

ruleIdinteger · int32Required

The ID of the Rule to retrieve.

Responses
200

Success

application/json; api-version=1.0

PubItem Criteria

accessstring · enumOptional

Access type options

Possible values:
get/api/PubItems/{id}/Rules/{ruleId}/Criteria

Update

put

Update the Criteria settings of a published item with the specified ID.

Path parameters
idinteger · int32Required

The ID of a published item for which to modify the Criteria settings.

ruleIdinteger · int32Required

The ID of the Rule to retrieve.

Body
accessstring · enumOptional

Access type options

Possible values:
securityPrincipalsEnabledboolean · nullableOptional

Whether the Security Principals criteria is enabled or not

securityPrincipalsMatchingModestring · enumOptional

Matching mode type options

Possible values:
gatewaysEnabledboolean · nullableOptional

Whether the Gateways criteria is enabled or not

gatewaysMatchingModestring · enumOptional

Matching mode type options

Possible values:
themesEnabledboolean · nullableOptional

Whether the Themes criteria is enabled or not

themesMatchingModestring · enumOptional

Matching mode type options

Possible values:
devicesEnabledboolean · nullableOptional

Whether the Devices criteria is enabled or not

devicesMatchingModestring · enumOptional

Matching mode type options

Possible values:
oSsEnabledboolean · nullableOptional

Whether the OSs criteria is enabled or not

oSsMatchingModestring · enumOptional

Matching mode type options

Possible values:
iPsEnabledboolean · nullableOptional

Whether the IPs criteria is enabled or not

iPsMatchingModestring · enumOptional

Matching mode type options

Possible values:
hardwareIDsEnabledboolean · nullableOptional

Whether the HardwareIDs criteria is enabled or not

hardwareIDsMatchingModestring · enumOptional

Matching mode type options

Possible values:
Responses
204

No Content

No content

put/api/PubItems/{id}/Rules/{ruleId}/Criteria

No content

Last updated